extern int mouse_x,mouse_y,mouse_button;

void load_mouse(void)    /*loads mouse driver in memory, if not already loaded*/
{   union REGS i,o;
	i.x.ax=0;
	int86(0x33,&i,&o);
	if (o.x.ax==0)
	{ 	closegraph();
		printf("\nMouse not loaded ! \n");
		exit(0);
	}
}

void show_ptr(void)    /*displays the mouse pointer*/
{  	union REGS i,o;
	i.x.ax=1;
	int86(0x33,&i,&o);
}

void hide_ptr(void)    /*hides the mouse pointer*/
{  	union REGS i,o;
	i.x.ax=2;
	int86(0x33,&i,&o);
}

void getmousepos(void)    /*gets current coordinates of mouse ptr & status of mouse buttons*/
{  	union REGS i,o;
	i.x.ax=3;              /*   Values for mouse_button   */
	int86(0x33,&i,&o);     /* 1 - Left Button   */
	mouse_x=o.x.cx;        /* 2 - Right Button  */
	mouse_y=o.x.dx;        /* 4 - Middle Button */
	gotoxy(1,25);
	textbackground(WHITE);
	printf("%3d , %3d",mouse_x,mouse_y);
	mouse_button=o.x.bx;
}

int putpoint(int x,int y,int color,int xor)
{ 	union REGS i;
	i.h.ah=0x0c;
	i.h.al=( color | xor );
	i.h.bh=0;
	i.x.cx=x;
	i.x.dx=y;
	int86(0x10,&i,&i);
	return 0;
}

void hor_range(int left,int right)
{ 	union REGS in,out;
	in.x.ax=7;
	in.x.cx=right;
	in.x.dx=left;
	int86(0x33,&in,&out);
}

void ver_range(int top,int bot)
{ 	union REGS in,out;
	in.x.ax=8;
	in.x.cx=top;
	in.x.dx=bot;
	int86(0x33,&in,&out);
}